## misery 0.2

=== Makefile ===
all: bin/misery

.SUFFIXES: .ml .cmx .mli .cmi

SOURCES=src/misc.cmx \
        src/sumofmoney.cmx \
        src/units.cmx \
        src/htmlout.cmx \
	src/variables.cmx \
        src/account.cmx \
        src/accountdbase.cmx \
        src/printaccount.cmx \
	src/splits.cmx \
	src/meets.cmx \
        src/groupsummary.cmx \
	src/vaccounts.cmx \
        src/main.cmx

bin/misery: $(SOURCES)
	ocamlopt -I src -o $@ unix.cmxa str.cmxa $(SOURCES)

clean:
	rm -f src/*.cm{i,x} bin/misery

.mli.cmi:
	ocamlc -c -I src -o $@ $<

.ml.cmx:
	ocamlopt -c -I src -o $@ $<

src/account.cmo: src/variables.cmi src/units.cmi src/sumofmoney.cmi \
    src/misc.cmi src/account.cmi 
src/account.cmx: src/variables.cmx src/units.cmx src/sumofmoney.cmx \
    src/misc.cmx src/account.cmi 
src/account.cmi: src/sumofmoney.cmi 
src/accountdbase.cmo: src/misc.cmi src/account.cmi src/accountdbase.cmi 
src/accountdbase.cmx: src/misc.cmx src/account.cmx src/accountdbase.cmi 
src/accountdbase.cmi: src/account.cmi 
src/groupsummary.cmo: src/sumofmoney.cmi src/misc.cmi src/htmlout.cmx \
    src/accountdbase.cmi src/account.cmi src/groupsummary.cmi 
src/groupsummary.cmx: src/sumofmoney.cmx src/misc.cmx src/htmlout.cmx \
    src/accountdbase.cmx src/account.cmx src/groupsummary.cmi 
src/htmlout.cmo: src/misc.cmi 
src/htmlout.cmx: src/misc.cmx 
src/main.cmo: src/vaccounts.cmi src/units.cmi src/splits.cmi \
    src/printaccount.cmi src/meets.cmi src/groupsummary.cmi \
    src/accountdbase.cmi 
src/main.cmx: src/vaccounts.cmx src/units.cmx src/splits.cmx \
    src/printaccount.cmx src/meets.cmx src/groupsummary.cmx \
    src/accountdbase.cmx 
src/meets.cmo: src/variables.cmi src/units.cmi src/sumofmoney.cmi \
    src/misc.cmi src/accountdbase.cmi src/account.cmi src/meets.cmi 
src/meets.cmx: src/variables.cmx src/units.cmx src/sumofmoney.cmx \
    src/misc.cmx src/accountdbase.cmx src/account.cmx src/meets.cmi 
src/misc.cmo: src/misc.cmi 
src/misc.cmx: src/misc.cmi 
src/printaccount.cmo: src/sumofmoney.cmi src/misc.cmi src/htmlout.cmx \
    src/accountdbase.cmi src/account.cmi src/printaccount.cmi 
src/printaccount.cmx: src/sumofmoney.cmx src/misc.cmx src/htmlout.cmx \
    src/accountdbase.cmx src/account.cmx src/printaccount.cmi 
src/splits.cmo: src/sumofmoney.cmi src/misc.cmi src/accountdbase.cmi \
    src/account.cmi src/splits.cmi 
src/splits.cmx: src/sumofmoney.cmx src/misc.cmx src/accountdbase.cmx \
    src/account.cmx src/splits.cmi 
src/sumofmoney.cmo: src/misc.cmi src/sumofmoney.cmi 
src/sumofmoney.cmx: src/misc.cmx src/sumofmoney.cmi 
src/units.cmo: src/sumofmoney.cmi src/misc.cmi src/units.cmi 
src/units.cmx: src/sumofmoney.cmx src/misc.cmx src/units.cmi 
src/units.cmi: src/sumofmoney.cmi 
src/vaccounts.cmo: src/variables.cmi src/sumofmoney.cmi src/misc.cmi \
    src/accountdbase.cmi src/account.cmi src/vaccounts.cmi 
src/vaccounts.cmx: src/variables.cmx src/sumofmoney.cmx src/misc.cmx \
    src/accountdbase.cmx src/account.cmx src/vaccounts.cmi 
src/variables.cmo: src/misc.cmi src/variables.cmi 
src/variables.cmx: src/misc.cmx src/variables.cmi

=== debian/changelog ===
misery (0.2-1.2) unstable; urgency=medium

  * NMU (maintainer has declared LowThresholdNmu)
  * Fix compilation with OCaml 5.2.0 (Closes: #1073886)
  * Depend on ocaml instead of ocaml-nox
  * Bump Standards-Version to 4.7.0
  * Add Rules-Requires-Root: no
  * Bump debhelper compat level to 13
  * Set Priority to optional

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2024 05:06:40 +0200

misery (0.2-1.1) unstable; urgency=medium

  * NMU (maintainer has declared LowThresholdNmu)
  * Fix date format in changelog entry of 0.2-1 (closes: #801458)

 -- Ralf Treinen <treinen@debian.org>  Sat, 10 Oct 2015 18:53:27 +0200

misery (0.2-1) unstable; urgency=low

  * Initial release
  * Uses dh-ocaml

 -- Wookey <wookey@debian.org>  Mon, 11 Jun 2012 01:36:40 +0100

=== debian/control ===
Source: misery
Section: text
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper-compat (= 13), dh-ocaml, ocaml, xsltproc
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: misery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${ocaml:Depends}
Description: Simple accounting package for groups, clubs, holidays
 Misery is a simple way to do accounting for things like clubs, and
 group holidays. Anything where you have things like shared food,
 transport, drinks/dinners out, group gear and so on. Data is entered
 as text files and it produces finished accounts as a set of HTML
 files which can be uploaded so participants can easily find out how
 much they owe/are owed. It is not a double-entry bookkeeping tool and
 it doesn't do invoicing.
 .
 It has a number of useful features to make it easy to sort out bar
 and restaurant bills, deal with multiple currencies, recurring costs,
 beer tallies, bank accounts, and to check that categories sum to zero
 when they should.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

include /usr/share/ocaml/ocamlvars.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --with ocaml

override_dh_auto_build:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	$(MAKE) opt;
else
	$(MAKE) bytecode;
endif
